Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class DataActionMapping

`java.lang.Object
org.apache.struts.config.ActionConfig
org.apache.struts.action.ActionMapping
oracle.adf.controller.struts.actions.DataActionMapping`

All Implemented Interfaces:
  java.io.Serializable

public class DataActionMapping
extends org.apache.struts.action.ActionMapping

An extend action mapping to define and handle additional properties for the DataAction.

- modelReference: the name of the binding container the DataAction should use.
- methodName: the name of an action binding with a custom method that will be executed in the DataAction during the `invokeCustomMethod` lifecycle phase.
- numParams: the number of parameters of the custom method.
- paramNames: the EL expression to retrieve the value for each method parameter. See `Evaluator` for a list of available scopes.
- resultLocation: the EL expression representing the location of the method result. See `Evaluator` for a list of available scopes.

Since:
  9.0.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`attribute, configured, exceptions, forward, forwards, include, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Constructor Summary
`DataActionMapping()`

Method Summary
`void` | `freeze()` Figure out which lifecycle to use and fix up the some of the action property before the config get frozen.
`protected java.lang.String` | `getForwardPath(org.apache.struts.config.ForwardConfig forward)`
`java.lang.String` | `getMethodName()` methodName property
`java.lang.String` | `getModelReference()` modelReference property
`static java.lang.String` | `getModelReference(org.apache.struts.action.ActionMapping mapping)` Helper method to return the model reference of a DataAction mapping.
`java.lang.Integer` | `getNumParams()` numParams property
`StrutsPageLifecycle` | `getPageLifecycle()`
`java.lang.String` | `getPagePath()`
`static java.lang.String` | `getPagePath(org.apache.struts.action.ActionMapping mapping)` Helper method to return the page path of a DataAction mapping.
`java.lang.String` | `getParamNames(int index)` paramNames properties
`java.lang.String` | `getResultLocation()` resultLocation property
`void` | `setMethodName(java.lang.String value)` methodName property
`void` | `setModelReference(java.lang.String value)` modelReference property
`void` | `setNumParams(java.lang.Integer value)` numParams property
`void` | `setParamNames(int index, java.lang.String value)` paramNames properties
`void` | `setResultLocation(java.lang.String value)` resultLocation property

Methods inherited from class org.apache.struts.action.ActionMapping
`findException, findForward, findForwards, getInputForward`

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, getApplicationConfig, getAttribute, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, removeExceptionConfig, removeForwardConfig, setApplicationConfig, setAttribute, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataActionMapping

    public DataActionMapping()

Method Detail

### getPagePath

    public static java.lang.String getPagePath(org.apache.struts.action.ActionMapping mapping)

  Helper method to return the page path of a DataAction mapping.
  Parameters:
    `mapping` - the DataAction mapping
  Returns:
    the page path for the mapping

### getModelReference

    public static java.lang.String getModelReference(org.apache.struts.action.ActionMapping mapping)

  Helper method to return the model reference of a DataAction mapping.
  Parameters:
    `mapping` - the DataAction mapping
  Returns:
    the model reference for the mapping

### setParamNames

    public void setParamNames(int index,
                              java.lang.String value)

  paramNames properties

### getParamNames

    public java.lang.String getParamNames(int index)

  paramNames properties
  Returns:
    paramnames for the given index

### setNumParams

    public void setNumParams(java.lang.Integer value)

  numParams property

### getNumParams

    public java.lang.Integer getNumParams()

  numParams property
  Returns:
    the number of method parameters

### setMethodName

    public void setMethodName(java.lang.String value)

  methodName property

### getMethodName

    public java.lang.String getMethodName()

  methodName property
  Returns:
    the method name

### setModelReference

    public void setModelReference(java.lang.String value)

  modelReference property

### getModelReference

    public java.lang.String getModelReference()

  modelReference property
  Returns:
    the model reference

### setResultLocation

    public void setResultLocation(java.lang.String value)

  resultLocation property

### getResultLocation

    public java.lang.String getResultLocation()

  resultLocation property
  Returns:
    the EL expression for the method result

### getPagePath

    public java.lang.String getPagePath()

  Returns:
    the page path

### getPageLifecycle

    public StrutsPageLifecycle getPageLifecycle()

  Returns:
    StrutsPageLifecycle

### freeze

    public void freeze()

  Figure out which lifecycle to use and fix up the some of the action property before the config get frozen. The decide which lifecycle to use we need to discover the page that we will render. This could be a UIX or something else. To discover the page we walk the chain of "success" forward or look at the parameter property when we are dealing with a DataPage. Once we have the lifecycle, call its processActionConfig to give the lifecycle a chance to update the configuration.

### getForwardPath

    protected java.lang.String getForwardPath(org.apache.struts.config.ForwardConfig forward)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.